#
# spec file for package libmusicbrainz
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libmusicbrainz
BuildRequires:  gcc-c++
BuildRequires:  libexpat-devel
BuildRequires:  libtool
BuildRequires:  pkg-config
Summary:        Library That Provides Access to the MusicBrainz Server
License:        LGPL-2.1+
Group:          System/Libraries
Version:        2.1.5
Release:        lp151.2.3
Url:            http://www.musicbrainz.org/
Source:         %{name}-%{version}.tar.bz2
Source1000:     baselibs.conf
Patch0:         libmusicbrainz-2.1.5-gcc43.patch
# PATCH-FIX-OPENSUSE gcc6-fix-errors.patch -- Fix errors spotted by GCC6.
Patch1:         gcc6-fix-errors.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
MusicBrainz is the second generation incarnation of the CD Index. This
server is designed to enable audio CD, MP3 and Vorbis players to
download metadata about the music they are playing.

%package -n libmusicbrainz4
Summary:        Library That Provides Access to the MusicBrainz Server
Group:          System/Libraries
Provides:       %{name} = %{version}
Obsoletes:      %{name} < %{version}

%description -n libmusicbrainz4
MusicBrainz is the second generation incarnation of the CD Index. This
server is designed to enable audio CD, MP3 and Vorbis players to
download metadata about the music they are playing.

%package devel
Requires:       libmusicbrainz4 = %{version} libstdc++-devel
Summary:        Include Files and Libraries Mandatory for Development
Group:          Development/Libraries/C and C++

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoreconf -fiv
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%install
%makeinstall
rm -f %{buildroot}%{_libdir}/libmusicbrainz.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libmusicbrainz4 -p /sbin/ldconfig

%postun -n libmusicbrainz4 -p /sbin/ldconfig

%files -n libmusicbrainz4
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/libmusicbrainz.so.4*

%files devel
%defattr(-, root, root)
%doc examples/*cpp examples/*c
%{_includedir}/musicbrainz
%{_libdir}/libmusicbrainz.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed May 25 2016 martin.liska@suse.com
- Add patch gcc6-fix-errors.patch to remove errors seen by GCC6.
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Thu Apr 14 2011 toddrme2178@gmail.com
- added 32bit compatibility libraries
- package no longer obsoletes itself (fix for RPMLINT warning)
- added BuildRequires:  pkg-config (fix for RPMLINT warning)
* Sat Dec 12 2009 aj@suse.de
- Do not package Makefiles since they only work within the build
  directory.
* Sat Aug 16 2008 crrodriguez@suse.de
- remove static libraries and "la" files
- correct -devel package dependencies
* Mon Jan  7 2008 ssommer@suse.de
- fix build with gcc43
* Sun Jul 29 2007 ro@suse.de
- provide old name
* Wed Jul 25 2007 sbrabec@suse.cz
- Updated to version 2.1.5:
  * Fixed compilation on GCC 4.3.
  * Fix the patch for buffer overflows in rdfparse.c.
  * Patch to allow manually entering the CD TOC information.
  * Fixed configure.in to work with newer versions of autoconf.
  * Buffer overflow in MBHttp::WriteToBuffer.
  * Python bindings: No shebang in non-executable scripts.
- Name package according to shared library packaging policy.
* Fri Apr 27 2007 dmueller@suse.de
- fix -devel requires
* Fri Apr 27 2007 aj@suse.de
- Add libexpat-devel to BuildRequires.
* Thu Aug 31 2006 sbrabec@suse.cz
- Updated to version 2.1.4 (#199134):
  * Security fix CVE-2006-4197:
  * Fixed buffer overflows in the RDF parsing and HTTP code.
  * Fixed invalid memory access in the HTTP code.
  * Fixed memory leaks in RDFExtract.
* Mon Jul 17 2006 lmichnovic@suse.cz
- fixed failing build (buildhack.patch)
  just workaround, needs further investigation
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 10 2006 sbrabec@suse.cz
- Updated to version 2.1.2.
* Mon Oct 31 2005 dmueller@suse.de
- don't build as root
* Mon Apr 11 2005 sbrabec@suse.cz
- Fixed invalid cast.
* Fri Aug  6 2004 adrian@suse.de
- add c++ enviroment to nfb
* Fri Aug  6 2004 adrian@suse.de
- update to version 2.1.1
* Tue Apr 20 2004 ro@suse.de
- specify void return for tiger_compress
* Fri Apr 16 2004 ro@suse.de
- remove un-neccessary version line in devel subpackage
* Tue Feb 10 2004 coolo@suse.de
- fix build on x86_64
* Sat Aug 16 2003 coolo@suse.de
- fix require after rename
* Tue Aug 12 2003 sbrabec@suse.cz
- Package renamed and splitted.
- Updated to version 2.0.2.
* Thu Oct 17 2002 sbrabec@suse.cz
- Update to version 1.1.0.
* Fri Aug 30 2002 pmladek@suse.cz
- fixed dependency of the devel subpackage on the main package (used %%version)
* Tue Jan 15 2002 pmladek@suse.cz
- updated to version 1.0.1
* Thu Jan 10 2002 pmladek@suse.cz
- used macro %%{_libdir} to fix for lib64
- added libmusicbrainz.la to the devel package
* Fri Jul 20 2001 pmladek@suse.cz
- updated to stable version 1.0.0
- removed endian patch (it's fixed in curent version)
* Sat Jun 23 2001 schwab@suse.de
- Fix missing declarations.
* Thu Jun 14 2001 pmladek@suse.cz
- fixed to compile with new autoconf
* Fri Mar 16 2001 uli@suse.de
- fixed spec file
* Thu Mar 15 2001 nadvornik@suse.cz
- fixed to compile on axp
* Wed Mar 14 2001 nadvornik@suse.cz
- update to 1.0.0pre7
* Fri Dec  1 2000 smid@suse.cz
- initial version
